Bug 477208 - GFS2: Parsing of remount arguments incorrect
GFS2: Parsing of remount arguments incorrect
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: GFS-kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Whitehouse
:
Depends On:
Blocks: 479401
  Show dependency treegraph
 
Reported: 2008-12-19 12:03 EST by Steve Whitehouse
Modified: 2009-03-27 06:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 479401 (view as bug list)
Environment:
Last Closed: 2009-03-27 06:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Initial patch, not tested so far. (9.70 KB, patch)
2008-12-22 08:27 EST, Steve Whitehouse
no flags Details | Diff

  None (edit)
Description Steve Whitehouse 2008-12-19 12:03:09 EST
There are some issues relating to the remount command which need to be fixed. Firstly, if an invalid argument is found, the remount process returns an error, but any valid arguments seen before the invalid one will have already been processed.

Secondly, the spectator flag seems not to be handled correctly.

This bug is just so that I don't forget to take a proper look at this.
Comment 1 Steve Whitehouse 2008-12-22 08:27:12 EST
Created attachment 327640 [details]
Initial patch, not tested so far.

A first go at this. I'll probably hold off sending this for a little while as I know it will conflict with other items in the queue.
Comment 2 Steve Whitehouse 2009-01-06 09:26:27 EST
Tested & posted to the -nmw git tree.
Comment 3 Steve Whitehouse 2009-03-27 06:40:46 EDT
In 2.6.30

Note You need to log in before you can comment on or make changes to this bug.